[med-svn] [Git][med-team/nitime][master] 3 commits: Added autopkgtest

Israel Komolehin (@Komolehin) gitlab at salsa.debian.org
Wed Dec 20 12:26:51 GMT 2023



Israel Komolehin pushed to branch master at Debian Med / nitime


Commits:
44dabd52 by Komolehin Israel Timilehin at 2023-12-20T12:18:17+00:00
Added autopkgtest

- - - - -
013fe4e8 by Komolehin Israel Timilehin at 2023-12-20T12:18:45+00:00
Documented test observation

- - - - -
6e538d94 by Komolehin Israel Timilehin at 2023-12-20T12:22:08+00:00
Updated changelog. closes #1058705

- - - - -


4 changed files:

- debian/changelog
- + debian/tests/README.md
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+nitime (0.10.2-2) UNRELEASED; urgency=medium
+
+  * Added autopkgtest (Closes: #1058705)
+  
+ -- Komolehin Israel Timilehin <komolehinisrael at gmail.com>  Wed, 20 Dec 2023 12:19:23 +0000
+
 nitime (0.10.2-1) unstable; urgency=medium
 
   [ Andreas Tille ]


=====================================
debian/tests/README.md
=====================================
@@ -0,0 +1,13 @@
+## To run the test:
+
+`sh run-unit-test`
+
+The package needs be built from scratch to run the upstream test.
+
+Upstream test can be run with:
+
+`$py -m pytest`
+
+However, this will popup two GUIS which needs to be closed before tests run.
+
+The path to each test folder was specified to circumvent the GUI popup.
\ No newline at end of file


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: cython3, python3-nitime
+Restrictions: allow-stderr, needs-root
\ No newline at end of file


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+if [ "$AUTOPKGTEST_TMP" = ""]; then
+	AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXX`
+
+	trap "rm -rf $AUTOPKG_TMP" 0 INT QUIT ABRT PIPE TERM
+
+fi
+
+
+for py in $(py3versions -s 2> /dev/null)
+
+do
+    # Build the package
+    $py setup.py install
+
+    # Run upstream tests
+    $py -m pytest ./nitime/algorithms/
+    $py -m pytest ./nitime/analysis/
+    $py -m pytest ./nitime/fmri/
+    $py -m pytest ./nitime/tests/
+
+done
\ No newline at end of file



View it on GitLab: https://salsa.debian.org/med-team/nitime/-/compare/44079317d6c26e906f47a008a6c6cf44dff9c45c...6e538d948376f2afae0a5f8ad664bc2baf3a464b

-- 
View it on GitLab: https://salsa.debian.org/med-team/nitime/-/compare/44079317d6c26e906f47a008a6c6cf44dff9c45c...6e538d948376f2afae0a5f8ad664bc2baf3a464b
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231220/81d0385f/attachment-0001.htm>


More information about the debian-med-commit mailing list